%define module_name IPC-Lock-WithTTL
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Accessor/Lite.pm) perl(File/Temp.pm) perl(Module/Build/Tiny.pm) perl(Pod/Wordlist.pm) perl(Smart/Args.pm) perl(Test/Fixme.pm) perl(Test/Kwalitee.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Spelling.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: run only one process up to given timeout
Group: Development/Perl
License: perl
URL: https://github.com/hirose31/IPC-Lock-WithTTL

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HI/HIROSE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
IPC::Lock::WithTTL provides inter process locking feature..This locking has timeout feature, so we can use following cases:

    * Once send an alert email, don't send same kind of alert email within 10 minutes.
    * We want to prevent the situation that script for failover some system is invoked more than one processes at same time and invoked many times in short time.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/I*

%changelog
* Fri Jan 13 2017 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

